Subject: OMAP baseline test results for v3.10-rc6

From: [email-masked] (Tom Rini)
Date: Wed, 26 Jun 2013 16:02:02 -0400

On 06/26/2013 01:58 PM, Paul Walmsley wrote:
> On Wed, 26 Jun 2013, Tom Rini wrote:
> 
>> OK, is there a reason to not be using omap2plus_defconfig?  My pass/fail
>> here is based on that config and enabling, or not, dtb append.  Seems
>> like it would be one less thing to maintain on your end and it would be
>> on TIs end (roughly speaking) to make sure our platforms that ought to
>> be working upstream have what they need enabled in the defconfig(s) in
>> question.
> 
> That would be convenient for me, but part of the goal is to verify that a 
> Kconfig that deselects all OMAPs other than AM33xx continues to work.
> 
> So the build process for am33xx_only here goes something like:
> 
> 1. Start with omap2plus_defconfig
> 
> 2. Turn off support for everything other than AM33xx in the SoC target 
> selection menus
> 
> 3. Turn on the appended DTB and compat ATAGs options
> 
> You might consider adding something like this to your pass/fail tests.

Adding more and different build+boot tests is on the list.  I guess you
could automate this with a fraagment of everything am33xx must have to
boot+root and alldefconfig for the rest?

-- 
Tom